 /* General Styles */
body, html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font: 300 18px / 1.6666666667 geo-wf, Helvetica, Arial;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background-color: #181818;
    color: white;
    border-bottom: 1px solid;
}
table { border-collapse: collapse; border-spacing: 0; width: 100%; border: 1px solid #ddd; }
th, td { text-align: left; padding: 8px; border: 1px solid #ddd; } .banner img { width: 100%; height: 450px; display: block; object-fit: cover;}.banner .img-fluid.mobile { display: none;}@media only screen and (max-device-width: 450px) { .banner .img-fluid { display: none; } .banner .img-fluid.mobile { display: block; height: auto;}}



.logo span {
    margin: 0;
    font-size: 24px;
}



nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    margin-left: 20px;
    padding: 10px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    font-weight: 700;
}

 .menu_active{ color: #ffd709; }

nav ul li a:hover {
    color: gold;
    text-decoration: none;
    font-size: 18px;
    font-weight: 700;
}

#banner {
    background-color: #340000;
    margin: 0px;
    padding: 35px 0px 47px;

   
}

#banner-profile {    background-color: #340000;
    margin: 0px;
    padding: 8px 0px 23px; }

section {
    padding: 20px;
}

/* Responsive Menu Styles */
.menu-icon {
    display: none;
    font-size: 24px;
    cursor: pointer;
}

#menu-toggle {
    display: none;
}

@media (max-width: 1148px) {
    nav ul {
        display: none;
        flex-direction: column;
        background-color: #333;
        width: 100%;
        position: absolute;
        top: 75px;
        left: 0;
        padding: 0;
        z-index: 9999;
    }

    nav ul li {
        margin: 0;
        text-align: center;
        padding: 12px;
        border-bottom: 1px solid wheat;
    }
    
 

    #menu-toggle:checked + .menu-icon + nav ul {
        display: flex;
    }

    .menu-icon {
        display: block;
        position: absolute;
        right: 18px;
        text-align: end;
    }
}

h1{ font-size: 36px; font-weight: 600; line-height: 1.3333333333; margin: 10px 0 .8333333333em; padding: .8888888889em 0 0; }

h2, h3, h4, h5, h6 {  font-size: 32px; font-weight: 600; }
strong{color: #d1005f;}
a {color: #100087}
a:hover {color: #ff0828;text-decoration-line: none;}
img {
    width: 100%;
    height: auto; /* Maintains aspect ratio */
    object-fit: cover; /* Ensures the image covers the container while maintaining aspect ratio */
}



.logo-text {
    /* margin: 0; */
    font-size: 56px;
    font-weight: 900;
    line-height: 54px;
    color: #fff;
    font-family: "Nunito", sans-serif;
    background-image: linear-gradient(45deg, #ff4087, #ffc056);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}


.text-1 {
    /* margin: 0; */
    font-size: 44px;
    font-weight: 900;
    line-height: 54px;
    color: #fff;
    font-family: "Nunito", sans-serif;
    background-image: linear-gradient(45deg, #ffff, #ffc056);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

.text-2 {
    font-size: 30px;
    font-weight: 400;
    font-family: "Nunito", sans-serif;
    transition: ease-in-out .3s;
    color: #dfda00;
    padding: 18px 0px 5px;
}

.banner h1 {
    margin: 0;
    font-size: 48px;
    font-weight: 900;
    line-height: 64px;
    color: #fff;
    font-family: "Nunito", sans-serif;
    background-image: linear-gradient(45deg, #ffffff, #ffffff);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent; 



}

.service_box {
    border: 1px solid white;
    padding: 0px 18px;
    border-radius: 8px;
    background-color: #600000;
    box-shadow: 2px 2px 6px 2px rgb(32 31 31 / 59%), 0 6px 20px 0 rgb(0 0 0 / 58%);
}
.service_box_heading  {
    color: #fed545;
    margin: 0px 0 0px 0;
    text-transform: capitalize;
    font-weight: bolder;
    font-size: 22px;
    padding: 10px;
}

.service_box p {
    padding: 0;
    font-size: 18px;
    color: #fff;
    margin: 0px 0 8px 0;
    text-align: justify;
    line-height: 30px;
}

.escort_profile{  
    padding: 2px;
    float: left;
    background: linear-gradient(91.1deg, #36252c -2.3%, #681b5a 44.4%, #421c3b 103.4%);
    border: solid 2px #fff;
    border-radius: 5px;
    }

 .escort_profile_img {
    width: 100%;
    height: auto;
    margin-top: 0px;
} 


.escorts_image {
  opacity: 1;
  display: block;
  width: 100%;
  transition: .5s ease;
  backface-visibility: hidden;
  height: 300px;
  object-fit: cover;
}

.profile img{ border: 1px solid #a1a1a1;
    border-radius: 5px; }

.profile_link {
  transition: .5s ease;
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}  

.escort_profile_img:hover .escorts_image {
  opacity: 0.3;
}

.escort_profile_img:hover .profile_link {
  opacity: 1;
}

.profile_text a {
  background-color: #d90909;
    color: white;
    font-size: 16px;
    padding: 9px 20px;
    border-radius: 7px;
}

.profile_text a:hover {
    background-color: #f50fe6;
    color: #ffffff;
    font-size: 16px;
    padding: 9px 20px;
    border-radius: 7px;
}




.escort_profile_text {
    color: #fff;
    font-size: 16px;
    text-transform: uppercase;
    line-height: 20px;
   
}

.escort_profile_text a {
    color: #ffc007;
    font-size: 12px;
    text-transform: uppercase;
    line-height: 20px;
    font-weight: 700;
}

.escort_profile_text a:hover {
    color: #e5e5e5;
    font-size: 12px;
    text-transform: uppercase;
    line-height: 20px;
    font-weight: 700;
}

.escort_profile_text p {
    color: #ffc007;
    font-size: 16px;
    text-transform: uppercase;
    line-height: 20px;
    font-weight: 700;
    margin: 10px;
    text-align: center;
}




.profile-slider-container {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.profile-slider-wrapper {
    overflow: hidden;
}

.profile-slider {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.profile-slide {
    flex: 0 0 calc(100% / 6); /* 100% / 6 images per newslide */
    padding: 0px 3px;
}

.profile-slide img {
    width: 100%;
    height: auto;
    display: block;
}

.profile-slide img:hover {
     filter: grayscale(100%);
    -webkit-filter: grayscale(100%);
    cursor: pointer;
}

button.prev, button.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 10;
}

button.prev {
    left: 0;
}

button.next {
    right: 0;
}

button.prev:hover, button.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

/* Media query for mobile view */
@media (max-width: 768px) {
    .profile-slide {
        flex: 0 0 calc(100% / 3); /* 100% / 3 images per newslide */
        padding: 0px 3px;
    }
}

/* Zoomed image styles */
#zoomedImageContainer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 20;
}

#zoomedImage {
    max-width: fit-content;
    max-height: 90%;
}

button.close, button.prev-zoom, button.next-zoom {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 30;
}

button.close {
    top: 10px;
    right: 10px;
}

button.prev-zoom {
    left: 10px;
}

button.next-zoom {
    right: 10px;
}

button.close:hover, button.prev-zoom:hover, button.next-zoom:hover {
    background-color: rgba(0, 0, 0, 0.8);
}    

.button{
    background-color: #9f0101;
    padding: 10px 30px;
    border-radius: 5px;
    color: white;
    font-weight: 700;
}



 .blog-slider-container {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.blog-slider-wrapper {
    overflow: hidden;
}

.blog-slider {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.blog-slide {
    flex: 0 0 calc(100% / 3); /* 100% / 6 images per blog-slide */
    padding: 0px 3px;
}

.blog-slide img {
    width: 100%;
    height: auto;
    display: block;
}

.blog-slide img:hover {
     filter: grayscale(100%);
    -webkit-filter: grayscale(100%);
    cursor: pointer;
}

button.blog-prev, button.blog-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 10;
}

button.blog-prev {
    left: 0;
}

button.blog-next {
    right: 0;
}

button.blog-prev:hover, button.blog-next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.blog-heading{ padding: 0px 0px 22px; }
.single-blog {  background-color: black;
    border: 1px solid #838383;
    border-radius: 9px;}

.blog-info{
  
  padding: 10px;
  color: white;
}
.blog-date{
  display: flex;
    justify-content: space-between;
    padding: 5px 18px 5px;
    padding: 5px 18px 5px;
}

.blog-date span{color: #bdbdbd;
    font-size: 14px;
    font-weight: 600;
    word-spacing: 4px;
    font-family: monospace; }

.blog-info h2{ font-size:18px; padding: 5px 18px 5px; text-align: justify; }
.blog-info h2 a{ color:#ffb300; }
.blog-info p{ padding:5px 18px 0px }
.blog-more { padding:5px 18px 12px }

form p{margin-bottom: -6px;}
label{width: 100%!important;
    font-weight: 700;
    font-size: 14px;}
    
.wpcf7 form.sent .wpcf7-response-output{ margin-top: -35px!important; }    

input {
    width: 100%;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #adadad;
     margin: 10px 0px;
}

textarea {
    width: 100%;
    border: none;
    height: 100px;
    border-radius: 5px;
     border: 1px solid #adadad;
     margin: 10px 0px;
}

input[type="submit"] {
    font-size: 18px;
    font-weight: 800;
    background-color: aquamarine;
}

input[type="submit"]:hover {
    font-size: 18px;
    font-weight: 800;
    background-color: green;
}

/* Media query for mobile view */
@media (max-width: 768px) {
    .blog-slide {
        flex: 0 0 calc(100% / 1); /* 100% / 3 images per newslide */
        padding: 0px 3px;
    }
} 

.profile-nav-button a{background-color: #b5b5b5;
    padding: 8px;
    text-align: center;
    border-radius: 3px;
    font-size: 12px;
    font-weight: 600;}

    .profile-nav-button a:hover{background-color: white;
    padding: 8px;
    text-align: center;
    border-radius: 3px;
    font-size: 12px;
    font-weight: 600;}



.about-single-profile{padding: 14px;background-color: #e9e9e9;}
.nav-profile {display: flex;font-size: 12px;}


.about-profile  p{border-bottom: 1px solid #c7c7c7;
    padding: 5px 0px 8px;
    font-size: 14px;
    font-weight: 600;}
    .about-profile span{ color:#626262; }
   .about-profie-img img{margin: 0px 0px 10px;} 
   .profile span.verified-image {
    display: inline-block;
    position: absolute;
    bottom: 0px;
    left: 0px;
    z-index: 1;
    background: #f4b827;
    background: -webkit-gradient(linear, left bottom, right top, color-stop(1%, #f4b827), color-stop(50%, #c3931f), color-stop(51%, transparent));
    background: linear-gradient(to top right, #f4b827 1%, #c3931f 50%, transparent 51%);
    width: 60px;
    height: 55px;
    line-height: 78px;
    overflow: hidden;
    text-transform: uppercase;
    color: #333;
    font-weight: 700;
    -webkit-transition: all .25s ease-in-out;
    transition: all .25s ease-in-out;
}

details {
  border: 1px solid rgba(112,112,112,0.1);
  border-radius: 4px;
  padding: 0.5em 0.5em 0;
  margin-bottom:10px;
  cursor:pointer;
}

summary {
  font-weight: 600;
  margin: -0.5em -0.5em 0;
  padding: 0.5em;
  list-style-type:"+";
  list-style:none;
  display:flex;
  justify-content:space-between;
  align-items:center;
}

details[open] {
  padding: 0.5em; 
  border:none;
  background-color:  rgb(221 220 216 / 50%);
}

summary::marker{
  color: #0000ff;
  font-size: 1.2em;
  margin-right:20px;
}

details:hover{
   background-color:     rgb(221 220 216 / 50%);
}

details summary::after{
  content:"+";
  float:right;
  font-size:1.2em;
  color:green;
}

details[open] summary::after{
  content:"-";
  float:right;
  font-size:1.5em;
  color:green;
}

.blog-title{margin: -36px 0px 0px!important;}
.blog-index { 
    background-color: black;
     border: 1px solid rgb(102 102 102 / 23%);
    padding: 10px 18px;
    border-radius: 7px;
    margin: 10px;
 }

 .blog-index img {
    width: 100%;
    height: auto;
}

.blog-cat-div {
    background-color: #ddffbc;
    margin: 10px;
    border: 1px solid rgb(102 102 102 / 23%);
    padding: 10px;
    border-radius: 5px;
}

.blog-cat .title {
    border-bottom: 1px solid rgba(128, 128, 128, .55);
    padding: 0px 0px 6px;
    text-transform: uppercase;
}

.blog-cat .title span {
    font-weight: 700;
    font-size: 20px;
    padding: 10px;
}

.blog-cat-div ul {
    padding: 14px 18px;
}

.blog-cat-div ul li {
    list-style: circle;
    font-size: 15px;
    font-weight: 600;
    padding: 0px 0px 5px;
}

.blog-single {
   
    border: 1px solid rgb(102 102 102 / 23%);
    padding: 10px 18px;
    border-radius: 7px;
    margin: 10px;
}

.blog-info-single{
    padding: 10px;
    color: black;
}

.blog-info-single h1{
    padding: 0;
    color: black;
}

.blog-single-tag {
    display: flex;
    flex-wrap: wrap;

}

.blog-tag{
    color: #878787;
    font-size: 18px;
    border-top: 1px solid #c9c9c9;
    padding: 12px 0px 0px;
}
.blog-single-tag a {
    text-transform: uppercase;
    font-size: 12px;
    color: black;
    padding: 6px 8px;
    background-color: #72cdff;
    margin: 3px;
    font-weight: 800;
    border-radius: 3px;
}

.blog-single-tag a:hover {
    
    background-color: #dbdbdb;
   
}

.blog-nev-button{
    display: flex;
}
.blog-button {
    margin: 20px 0px 11px;
}

.blog-nev-left a {
    background-color: #efff54;
    padding: 10px;
    border-radius: 5px;
}

.blog-nev-left a:hover {
    background-color: #e5e5e5;
}

.blog-nev-left{
 text-align: start;
}


.blog-nev-right a {
    background-color: #efff54;
    padding: 10px;
    border-radius: 5px;
}

.blog-nev-right a:hover {
     background-color: #e5e5e5;
   
}

.blog-nev-right{
    text-align: end;
}
#breadcrumbs{ color:white; }
#breadcrumbs { margin-bottom: -13px; }

#breadcrumbs span a{ color: #f7e70c; font-weight: 800; }
#breadcrumbs strong{ color:white; }

.blog-index a{ color: #c3c3c3; font-weight: 700;}
.blog-index a:hover{ color: #ffff; font-weight: 700;}


/* Footer Styles */
footer{
    text-align: center;
    padding: 10px;
    background-color: #333;
    color: white;
}

footer a {color: #00e9a0; font-weight: 700;}
footer a:hover {color: #ffff; font-weight: 700;}
footer p{margin-bottom: 0px;}


/* Scroll-to-top button styles */
#scrollToTopBtn {
  display: none;
    position: fixed;
    bottom: 50px;
    right: 3px;
    z-index: 999;
    background-color: #007bff;
    color: #fff;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 4px 9px 2px;
    border-radius: 50%;
    font-size: 16px;
}

#scrollToTopBtn:hover {
    display: none;
    position: fixed;
    bottom: 50px;
    right: 3px;
    z-index: 999;
    background-color: #9f2318;
    color: #fff;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 4px 9px 2px;
    border-radius: 50%;
    font-size: 16px;
}


.custom-slider-wrapper {
    position: relative;
    max-width: 100%;
    margin: auto;
    overflow: hidden;
}

.custom-slider-track {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.custom-slide-item {
    min-width: 100%;
    box-sizing: border-box;
}

.custom-slide-item img {
    width: 100%;
    cursor: pointer;
    transition: transform 0.3s;
}

.custom-prev-btn, .custom-next-btn {
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    border: none;
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.5);
    user-select: none;
    z-index: 10;
}

.custom-prev-btn {
    left: 0;
}

.custom-next-btn {
    right: 0;
}



.custom-zoom-overlay {
    display: none;
    position: fixed;
    z-index: 999;
    padding-top: 30px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
}

.head_mobile{display: block;}
@media (max-width: 400px) { 
     .head_mobile{display: contents;}
}



@media (max-width: 700px) { 
    .custom-zoom-overlay { padding-top: 76px;}
    .head_mobile{display: contents;}
}

.custom-zoomed-image {
    margin: auto;
    display: block;
    width: 100%;
    max-width: 500px;
    
}

.custom-close-btn {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}

.custom-zoom-prev-btn, .custom-zoom-next-btn {
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    border: none;
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.5);
    user-select: none;
    z-index: 10;
}

.custom-zoom-prev-btn {
    left: 0;
}

.custom-zoom-next-btn {
    right: 0;
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

@media only screen and (max-width: 760px) {
  .escort_profile {
    width: 50%;
  }
  .banner h1 { font-size: 42px;}
}
